package ctbrec.ui.sites.manyvids;

import ctbrec.Model;
import ctbrec.sites.manyvids.MVLive;
import ctbrec.ui.tabs.PaginatedScheduledService;
import javafx.concurrent.Task;

import java.io.IOException;
import java.util.List;

public class MVLiveUpdateService extends PaginatedScheduledService {

    private final MVLive mvlive;

    public MVLiveUpdateService(MVLive mvlive) {
        this.mvlive = mvlive;
    }

    @Override
    protected Task<List<Model>> createTask() {
        return new Task<List<Model>>() {
            @Override
            public List<Model> call() throws IOException {
                return mvlive.getModels();
            }
        };
    }
}
